Bug 29308 - ISDN card configured as eth0
Summary: ISDN card configured as eth0
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-24 23:09 UTC by Markku Kolkka
Modified: 2014-03-17 02:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-25 22:32:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Markku Kolkka 2001-02-24 23:09:32 UTC
The install program thinks that my W6692-based ISDN card is an Ethernet 
adapter, and adds a line:

alias eth0 hisax

to /etc/modules.conf. ISDN works normally after running internet-config.

Comment 1 Bill Nottingham 2001-02-25 03:40:45 UTC
What does your /etc/sysconfig/hwconfi look like?

Comment 2 Bill Nottingham 2001-02-25 03:41:24 UTC
(that's /etc/sysconfig/hwconf)

Also, what is the output of lspci  and lspci -n?

Comment 3 Markku Kolkka 2001-02-25 09:53:46 UTC
/etc/sysconfig/hwconf:
-
class: UNSPEC
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
vendorId: 0000
deviceId: 0000
productrevision: unknown
-
class: UNSPEC
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 2
usblevel: 0
usbport: 0
vendorId: 0000
deviceId: 0000
productrevision: unknown
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "VIA Technologies|VT8363/8365 [KT133/KM133]"
vendorId: 1106
deviceId: 0305
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "VIA Technologies|VT8363/8365 [KT133/KM133 AGP]"
vendorId: 1106
deviceId: 8305
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: parport_pc
desc: "VIA Technologies|VT82C686 [Apollo Super South]"
vendorId: 1106
deviceId: 0686
subVendorId: 1106
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: ignore
desc: "VIA Technologies|Bus Master IDE"
vendorId: 1106
deviceId: 0571
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "VIA Technologies|VT82C686 [Apollo Super ACPI]"
vendorId: 1106
deviceId: 3057
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: NETWORK
bus: PCI
detached: 0
device: eth
driver: hisax
desc: "Unknown vendor|Generic hisax device"
vendorId: 1050
deviceId: 6692
subVendorId: ffff
subDeviceId: ffff
pciType: 1
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:ATI Rage 128
desc: "ATI|Rage 128 PF"
vendorId: 1002
deviceId: 5046
subVendorId: 1002
subDeviceId: 0008
pciType: 1
-
class: AUDIO
bus: PCI
detached: 0
driver: via82cxxx_audio
desc: "VIA Technologies|AC97 Audio Controller"
vendorId: 1106
deviceId: 3058
subVendorId: 1462
subDeviceId: 3300
pciType: 1
-
class: MOUSE
bus: USB
detached: 0
device: input/mice
driver: mousedev
desc: "Generic USB Mouse"
usbclass: 3
usbsubclass: 1
usbprotocol: 2
usbbus: 1
usblevel: 1
usbport: 0
vendorId: 045e
deviceId: 0040
productrevision: unknown
-
class: MOUSE
bus: PSAUX
detached: 0
device: psaux
driver: genericps/2
desc: "Generic PS/2 Mouse"
-
class: CDROM
bus: IDE
detached: 0
device: hdc
driver: ignore
desc: "CD-ROM 50X"
-
class: HD
bus: IDE
detached: 0
device: hda
driver: ignore
desc: "SAMSUNG SV1022D"
physical: 19773/16/63
logical: 1240/255/63
-
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "VIA Technologies|UHCI USB"
vendorId: 1106
deviceId: 3038
subVendorId: 0925
subDeviceId: 1234
pciType: 1
-
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "VIA Technologies|UHCI USB"
vendorId: 1106
deviceId: 3038
subVendorId: 0925
subDeviceId: 1234
pciType: 1

-

[root@localhost /root]# lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] (rev 02)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev
22)
00:07.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 10)
00:07.2 USB Controller: VIA Technologies, Inc. UHCI USB (rev 10)
00:07.3 USB Controller: VIA Technologies, Inc. UHCI USB (rev 10)
00:07.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev
30)
00:07.5 Multimedia audio controller: VIA Technologies, Inc. AC97 Audio
Controller (rev 20)
00:08.0 Network controller: Winbond Electronics Corp: Unknown device 6692 (rev
ff)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 PF
[root@localhost /root]# lspci -n
00:00.0 Class 0600: 1106:0305 (rev 02)
00:01.0 Class 0604: 1106:8305
00:07.0 Class 0601: 1106:0686 (rev 22)
00:07.1 Class 0101: 1106:0571 (rev 10)
00:07.2 Class 0c03: 1106:3038 (rev 10)
00:07.3 Class 0c03: 1106:3038 (rev 10)
00:07.4 Class 0600: 1106:3057 (rev 30)
00:07.5 Class 0401: 1106:3058 (rev 20)
00:08.0 Class 0280: 1050:6692 (rev ff)
01:00.0 Class 0300: 1002:5046

Comment 4 Bill Nottingham 2001-02-25 22:59:48 UTC
Will be fixed in kudzu-0.96.15-1 when it's built.


Note You need to log in before you can comment on or make changes to this bug.